<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Materials/MatClasses/PPEColorGrading.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d6c/_p_p_e_color_grading_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPEColorGrading.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d6c/_p_p_e_color_grading_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">//TODO</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/d32/class_p_p_e_color_grading.html">    3</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d32/class_p_p_e_color_grading.html">PPEColorGrading</a>: <a class="code hl_class" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>{</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <span class="comment">//static const int PARAM_COLORTABLE = 0;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../de/d32/class_p_p_e_color_grading.html#a9baf9c6b71051f0ecff2dbd65d7f8307">    7</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../de/d32/class_p_p_e_color_grading.html#a9baf9c6b71051f0ecff2dbd65d7f8307">GetPostProcessEffectID</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.ColorGrading;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../de/d32/class_p_p_e_color_grading.html#a5073d7aaa8530edda259f052f484fbf4">   12</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/d32/class_p_p_e_color_grading.html#a5073d7aaa8530edda259f052f484fbf4">GetDefaultMaterialPath</a>()</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Graphics/Materials/postprocess/colorgrading&quot;</span>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../de/d32/class_p_p_e_color_grading.html#a4c3f41a8c92214c4395c744313fe53d6">   17</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d32/class_p_p_e_color_grading.html#a4c3f41a8c92214c4395c744313fe53d6">RegisterMaterialParameters</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="comment">//RegisterParameterTexture(PARAM_COLORTABLE,&quot;ColorTable&quot;,&quot;Graphics/Textures/postprocess/color_test.edds&quot;);</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>}</div>
<div class="ttc" id="aclass_p_p_e_class_base_html"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div><div class="ttdoc">Created once, on manager init. Script-side representation of C++ material class, separate handling.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00002">PPEMatClassesBase.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_color_grading_html"><div class="ttname"><a href="../../de/d32/class_p_p_e_color_grading.html">PPEColorGrading</a></div><div class="ttdoc">ColorGrading - PostProcessEffectType.ColorGrading.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d6c/_p_p_e_color_grading_8c_source.html#l00003">PPEColorGrading.c:4</a></div></div>
<div class="ttc" id="aclass_p_p_e_color_grading_html_a4c3f41a8c92214c4395c744313fe53d6"><div class="ttname"><a href="../../de/d32/class_p_p_e_color_grading.html#a4c3f41a8c92214c4395c744313fe53d6">PPEColorGrading::RegisterMaterialParameters</a></div><div class="ttdeci">override void RegisterMaterialParameters()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d6c/_p_p_e_color_grading_8c_source.html#l00017">PPEColorGrading.c:17</a></div></div>
<div class="ttc" id="aclass_p_p_e_color_grading_html_a5073d7aaa8530edda259f052f484fbf4"><div class="ttname"><a href="../../de/d32/class_p_p_e_color_grading.html#a5073d7aaa8530edda259f052f484fbf4">PPEColorGrading::GetDefaultMaterialPath</a></div><div class="ttdeci">override string GetDefaultMaterialPath()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d6c/_p_p_e_color_grading_8c_source.html#l00012">PPEColorGrading.c:12</a></div></div>
<div class="ttc" id="aclass_p_p_e_color_grading_html_a9baf9c6b71051f0ecff2dbd65d7f8307"><div class="ttname"><a href="../../de/d32/class_p_p_e_color_grading.html#a9baf9c6b71051f0ecff2dbd65d7f8307">PPEColorGrading::GetPostProcessEffectID</a></div><div class="ttdeci">override int GetPostProcessEffectID()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d6c/_p_p_e_color_grading_8c_source.html#l00007">PPEColorGrading.c:7</a></div></div>
<div class="ttc" id="agroup___camera_html_gac5442d940bdd247b908f1f02efd643ec"><div class="ttname"><a href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a></div><div class="ttdeci">PostProcessEffectType</div><div class="ttdoc">Post-process effect type.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d09/_en_world_8c_source.html#l00071">EnWorld.c:72</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_8bc3653e9bcdee59a0a321a7f331d675.html">Materials</a></li><li class="navelem"><a class="el" href="../../dir_228b1874a3aee11e6530a88a8cb14f93.html">MatClasses</a></li><li class="navelem"><a class="el" href="../../dc/d6c/_p_p_e_color_grading_8c.html">PPEColorGrading.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
